/**
 * \<span class='b'\>値配列を取得\</span\>
 * 同：MCRow.toArray(key)
 * 注意：MCRow.getValues メソッドの戻り値：MCRow
 */
public static java.lang.Comparable<?>[] getValues(MCRow r, String... keys) {
	java.lang.Comparable<?>[] val = new java.lang.Comparable<?>[keys.length];
	
	for(int i=0; i<keys.length; i++) {
		  val[i]= r.getValueNE(keys[i]);
	}
	
	return val;
}

/**
 * \<span class='b'\>2行データに対して、指定のカラムを比較、一致の場合Trueを戻す\</span\>
 */
protected Boolean isSameRow(MCRow r1, MCRow r2, String... columns)
{
  for(String c : columns) {
    if(!isSame(r1.getValue(c),r2.getValue(c))) {
      return false;
    }
  }
  return true;
}
